| stm-2.1.1.2: Software Transactional Memory | Source code | Contents | Index

Control.Concurrent.STM.TVar

Portability | non-portable (requires STM)
Stability | experimental
Maintainer | libraries@haskell.org

Contents

TVars

Description
TVar: Transactional variables
Synopsis

TVar (TVar)
newTVar
readTVar
writeTVar
newTVarIO
registerDelay

TVars
TVar (TVar)
newTVar
readTVar
writeTVar
newTVarIO
registerDelay
Produced by Haddock version 2.4.2